Subject: bug#45116: 26.3; refill-mode doesn't allow me to add text at the end of a paragraph

From: David Klein <[email-masked]>
Date: Thu, 9 Sep 2021 13:37:04 +0300

I no longer have the setup I had when I posted the question. In my current
setups I can't reproduce either.

On Wed, Sep 8, 2021 at 12:39 PM Lars Ingebrigtsen <[email-masked]> wrote:

> David Klein <[email-masked]> writes:
>
> > If I typed in the text
> >
> > "The quick brown
> >
> > jumped
> >
> > over
> > "
> >
> > and then went up to the end of the first line and type the characters '
> > [space]' 'H' 'e' 'l' 'l' 'o'
> >
> > I get
> >
> > "The quick brownHello"
> >
> > instead of
> >
> > "The quick brown Hello"
> >
> > i.e. zero spaces instead of one. Only excess whitespace should be removed
> > and the first space isn't excess.
>
> I tried reproducing this in various Emacs versions, but I was unable
> to -- the space isn't removed (with refill-mode on) when I test this.
>
> Do you have a complete recipe, starting from "emacs -Q"?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>